<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="NewsSet_List.aspx.cs" Inherits="RM.Web.Training.LearnToSet.NewsSet_List" %>


<%@ Register Src="/UserControl/PageControl.ascx" TagName="PageControl" TagPrefix="uc1" %>
<%@ Register Src="/UserControl/LoadButton.ascx" TagName="LoadButton" TagPrefix="uc2" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>
        <%=RM.Common.DotNetConfig.LanguageHelper.GetKey("NewsList")%></title>
    <link href="/Themes/Styles/Site.css" rel="stylesheet" type="text/css" />
    <script src="/Themes/Scripts/jquery-1.8.2.min.js" type="text/javascript"></script>
    <script src="/Themes/Scripts/Validator/JValidator.js" type="text/javascript"></script>
    <script src="/Themes/Scripts/FunctionJS.js" type="text/javascript"></script>
    <script src="/Themes/Scripts/DatePicker/WdatePicker.js" type="text/javascript"></script>
    <link href="/Themes/Scripts/artDialog/skins/opera.css" rel="stylesheet" type="text/css" />
    <script src="/Themes/Scripts/artDialog/artDialog.js" type="text/javascript"></script>
    <script src="/Themes/Scripts/artDialog/iframeTools.js" type="text/javascript"></script>
    <script src="/Themes/Scripts/CreateContextJs.js" type="text/javascript"></script>
</head>
<body>
    <form id="form1" runat="server">
    <div class="btnbartitle">
        <div>
            <%=RM.Common.DotNetConfig.LanguageHelper.GetKey("NewsList")%>
        </div>
    </div>
    <div class="btnbarcontetn">
        <div style="text-align: right;">
            <uc2:LoadButton ID="LoadButton1" runat="server" />
        </div>
    </div>
    <div class="div-body">
        <%=wintable %>
    </div>
    <uc1:PageControl ID="PageControl1" runat="server" />
    </form>
</body>
<script type="text/javascript">
    $(function () {
        divresize(90);
        FixedTableHeader("#table1", $(window).height() - 121);
    })
    //授权
    function accredit() {
        var arrt = new Array();
        arrt = CheckboxValue().split('|');
        var key = arrt[0];
        if (IsEditdata(CheckboxValue())) {
            if (confirm("<%=RM.Common.DotNetConfig.LanguageHelper.GetKey("Learnauthorized")%>?")) {
                getAjax("/Training/LearnToSet/Coursware_ToExamin.ashx", "action=NewsSet&&key=" + key, function (rs) {
                    if (rs == 1) {
                        showTipsMsg("<%=RM.Common.DotNetConfig.LanguageHelper.GetKey("Learnsuccess")%>", 2000, 4);
                        window.location.reload();
                    } else {
                        showTipsMsg("<%=RM.Common.DotNetConfig.LanguageHelper.GetKey("Learnfailed")%>", 2000, 5);
                    }
                })
            }
        }
    }

    //导出
    function exportt() {
        var html = "<table border=1>" + $("#table1").html() + "</table>";
       // alert(html);
        post('/RMBase/SysWindows/WindowsExport.ashx', { ExportType: "not", ExportHTML: html, TableName: "result" });
       // GoTableExport("not", "table1");
    }
    //提交数据，下载导出文件
    function post(URL, PARAMS) {
        var temp = document.createElement("form");
        temp.action = URL;
        temp.method = "post";
        temp.style.display = "none";
        for (var x in PARAMS) {
            var opt = document.createElement("textarea");
            opt.name = x;
            opt.value = PARAMS[x];
            //alert(opt.name);      
            temp.appendChild(opt);
        }
        document.body.appendChild(temp);
        temp.submit();
        return temp;
    }
</script>
</html>
